## org.apache.lucene.analysis.ja
Class JapanesePartOfSpeechStopFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.ja.JapanesePartOfSpeechStopFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class JapanesePartOfSpeechStopFilterFactory

extends TokenFilterFactory
implements ResourceLoaderAware

Factory for `JapanesePartOfSpeechStopFilter`.

     <fieldType name="text_ja" class="solr.TextField">
       <analyzer>
         <tokenizer class="solr.JapaneseTokenizerFactory"/>
         <filter class="solr.JapanesePartOfSpeechStopFilterFactory"
                 tags="stopTags.txt"
                 enablePositionIncrements="true"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`JapanesePartOfSpeechStopFilterFactory()`

Method Summary
`TokenStream` `create(TokenStream stream)`
`void` `inform(ResourceLoader loader)`

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JapanesePartOfSpeechStopFilterFactory

    public JapanesePartOfSpeechStopFilterFactory()

Method Detail

### inform

    public void inform(ResourceLoader loader)
                throws IOException

  Specified by:
    `inform` in interface `ResourceLoaderAware`
  Throws:
    `IOException`

### create

    public TokenStream create(TokenStream stream)

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.